Bug 1264184 - SELinux is preventing console-kit-dae from 'add_name' accesses on the directory machine-id.LtRAHiUD.
SELinux is preventing console-kit-dae from 'add_name' accesses on the directo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f56e1ca28d19af601c2dee4d350...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 14:29 EDT by Mark E. Wilt
Modified: 2016-07-19 13:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:56:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark E. Wilt 2015-09-17 14:29:59 EDT
Description of problem:
Boot up F22, log onto userid on Mate desktop, and receive this warning almost every time....
SELinux is preventing console-kit-dae from 'add_name' accesses on the directory machine-id.LtRAHiUD.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that console-kit-dae should be allowed add_name access on the machine-id.LtRAHiUD directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep console-kit-dae /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:consolekit_t:s0
Target Context                system_u:object_r:system_dbusd_var_lib_t:s0
Target Objects                machine-id.LtRAHiUD [ dir ]
Source                        console-kit-dae
Source Path                   console-kit-dae
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.12.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.6-201.fc22.x86_64 #1 SMP Fri
                              Sep 4 17:49:24 UTC 2015 x86_64 x86_64
Alert Count                   5
First Seen                    2015-09-16 22:37:41 CDT
Last Seen                     2015-09-17 13:26:17 CDT
Local ID                      1d48d0ac-703c-427a-9837-0742ce9a9e16

Raw Audit Messages
type=AVC msg=audit(1442514377.166:532): avc:  denied  { add_name } for  pid=1675 comm="console-kit-dae" name="machine-id.LtRAHiUD" scontext=system_u:system_r:consolekit_t:s0 tcontext=system_u:object_r:system_dbusd_var_lib_t:s0 tclass=dir permissive=0


Hash: console-kit-dae,consolekit_t,system_dbusd_var_lib_t,dir,add_name

Version-Release number of selected component:
selinux-policy-3.13.1-128.12.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.6-201.fc22.x86_64
type:           libreport

Potential duplicate: bug 1189916
Comment 1 Fedora End Of Life 2016-07-19 13:56:17 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.